﻿namespace IcqSharp
{
    public enum StatusFlags : ushort
    {
        WebAware = 0x0001,     // Status webaware flag
        ShowIP = 0x0002,       // Status show ip flag
        Birthday = 0x0008,     // User birthday flag
        WebFront = 0x0020,     // User active webfront flag

        DcDisabled = 0x0100,   // DC not supported
        DcAuthorized = 0x1000, // DC upon authorization
        DcContacts = 0x2000    // DC with contact users

    }
}
